function moY = bittrunc( miX, iiQ )
%Bit truncation
%   Y = BITTRUNC(X,Q) truncates the integers of the matrix X by Q bits
%       by performing floor(X ./ 2^Q )

%   Author: Martin Pechanec, October 22, 1997
%           pechanec@iname.com

% -- Check the input argument sizes

[iR,iC] = size( iiQ );
if ( iC ~= 1 | iR ~= 1 ),
  error( 'BITTRUNC: Input Q cannot be a vector, integer is expected.' );
end;

moY = floor( miX ./ 2^iiQ );
