% ----------------------------------------------------------------
%   DDSGSET.M   [Set parameters] button DDS callback.
%   The module reads the parameters from the GUI boxes
%   and sets the sets the DDS vairables according to the
%   content of the GUI boxes.
%
%   This module is also called before every simulation run!
%
%   Input:	GUI boxes filled with values
%   Output:	DDS variables set according to GUI
%   Calls:	---
%
%   Author: Martin Pechanec, Febraury 14, 1998
%           pechanec@iname.com
% ----------------------------------------------------------------

iHandle = findobj( gcbf, 'Tag', 'Edit_iF' );
sString = get( iHandle, 'String' );
iF = eval( sString );

iHandle = findobj( gcbf, 'Tag', 'Edit_Fv' );
sString = get( iHandle, 'String' );
Fv = eval( sString );

iHandle = findobj( gcbf, 'Tag', 'Edit_iP' );
sString = get( iHandle, 'String' );
iP = eval( sString );

iHandle = findobj( gcbf, 'Tag', 'Edit_iN' );
sString = get( iHandle, 'String' );
iN = eval( sString );

iHandle = findobj( gcbf, 'Tag', 'Edit_Poff' );
sString = get( iHandle, 'String' );
Poff = eval( sString );

iHandle = findobj( gcbf, 'Tag', 'Edit_Aoff' );
sString = get( iHandle, 'String' );
Aoff = eval( sString );

iHandle = findobj( gcbf, 'Tag', 'Edit_iB' );
sString = get( iHandle, 'String' );
iB = eval( sString );

iHandle = findobj( gcbf, 'Tag', 'Edit_iDitPoly' );
sString = get( iHandle, 'String' );
iDitPoly = eval( sString );

iHandle = findobj( gcbf, 'Tag', 'Edit_iDitBits' );
sString = get( iHandle, 'String' );
iDitBits = eval( sString );

iHandle = findobj( gcbf, 'Tag', 'Edit_iSampleStart' );
sString = get( iHandle, 'String' );
iSampleStart = eval( sString );

iHandle = findobj( gcbf, 'Tag', 'Edit_iSampleEnd' );
sString = get( iHandle, 'String' );
iSampleEnd = eval( sString );

% -- Check boxes
iHandle = findobj( gcbf, 'Tag', 'Check_gTrunc' );
gTrunc = get( iHandle, 'Value' );

iHandle = findobj( gcbf, 'Tag', 'Check_gQuant' );
gQuant = get( iHandle, 'Value' );

iHandle = findobj( gcbf, 'Tag', 'Check_gDit' );
gDit = get( iHandle, 'Value' );

iHandle = findobj( gcbf, 'Tag', 'Check_gStem' );
gStem = get( iHandle, 'Value' );

iHandle = findobj( gcbf, 'Tag', 'Check_gAugment' );
gAugment = get( iHandle, 'Value' );

iHandle = findobj( gcbf, 'Tag', 'Check_gClear' );
gClear = get( iHandle, 'Value' );

iHandle = findobj( gcbf, 'Tag', 'Check_gData' );
gData = get( iHandle, 'Value' );

iHandle = findobj( gcbf, 'Tag', 'Check_gInPlot' );
gInPlot = get( iHandle, 'Value' );

iHandle = findobj( gcbf, 'Tag', 'Check_gTPhase' );
gTPhase = get( iHandle, 'Value' );

iHandle = findobj( gcbf, 'Tag', 'Check_gTDither' );
gTDither = get( iHandle, 'Value' );

iHandle = findobj( gcbf, 'Tag', 'Check_gTTrunc' );
gTTrunc = get( iHandle, 'Value' );

iHandle = findobj( gcbf, 'Tag', 'Check_gTAmplitude' );
gTAmplitude = get( iHandle, 'Value' );

iHandle = findobj( gcbf, 'Tag', 'Check_gTQuant' );
gTQuant = get( iHandle, 'Value' );
